Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003176Zandronum[All Projects] Bugpublic2017-07-01 19:382017-07-09 23:52
ReporterKaminsky 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003176: Ignored players are somehow unignored after map changes
DescriptionA couple of people have told me that they've ignored certain players in the game, but after a map changes, it seems they're unignored because you can read their chat messages again. This happens even when the ignore hasn't expired yet.

I hosted my own server with another player, and I can confirm that this issue occurs in v3.0-alpha 170625-1906, but not reproducible in v2.1.2.
Steps To Reproduce1. Host a server.
2. Join the server with one or more players (or bots).
3. Ignore a player for an indefinite period of time.
4. Change the map (either by beating the level or using the "changemap" command).
5. Upon map change, previously ignored players are suddenly unignored and you can read their chat messages.
Attached Files? file icon pthink_spam.cld [^] (384,566 bytes) 2017-07-02 22:01

- Relationships

-  Notes
User avatar (0017960)
Ru5tK1ng (updater)
2017-07-02 01:04

Seems to be a result of this:

https://bitbucket.org/Torr_Samaho/zandronum/commits/f0ba466ed3ff4b0140c1eda3c7ed69f8bf955f64 [^]
User avatar (0017965)
Torr Samaho (administrator)
2017-07-02 20:01

Can you check ifhttps://bitbucket.org/zandronum/zandronum-sandbox/commits/c2032e0cb1b8dd1170f6c4a854457e7c142589a1 [^] fixes the issue without reintroducing the "no body for player" warnings reported in 0003132?
User avatar (0017968)
Ru5tK1ng (updater)
2017-07-02 20:59

While that does fix the ignore issue, I was able to reproduce the P_PlayerThink error spam with 3 clients and 40 bots as described in 3132
User avatar (0017969)
Torr Samaho (administrator)
2017-07-02 21:06

Thanks for checking! Can you make a client side demo of the error?
User avatar (0017970)
Ru5tK1ng (updater)
2017-07-02 22:02

I attached the demo to the ticket. Play it with the unnamedtest.wad from 3127.
User avatar (0017987)
Torr Samaho (administrator)
2017-07-08 11:41

Thanks for the demo! Can you check if https://bitbucket.org/zandronum/zandronum-sandbox/commits/a739ef6c853358d791d1d413df52bdade2b0e963 [^] fixes the issue?
User avatar (0017991)
Ru5tK1ng (updater)
2017-07-09 16:08

I couldn't reproduce the PlayerThink spam with those changes and ignore was still working fine.
User avatar (0017999)
Ru5tK1ng (updater)
2017-07-09 23:52

<Kaminsky> Also, players that I were ignored were still ignored even after the level changes, as expected.
<Kaminsky> I didn't get and P_PlayerThink spam caused by the latter ticket either.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-07-01 19:38 Kaminsky New Issue
2017-07-02 01:04 Ru5tK1ng Note Added: 0017960
2017-07-02 20:01 Torr Samaho Note Added: 0017965
2017-07-02 20:01 Torr Samaho Assigned To => Torr Samaho
2017-07-02 20:01 Torr Samaho Status new => needs testing
2017-07-02 20:33 Kaminsky Note Added: 0017967
2017-07-02 20:35 Kaminsky Note Edited: 0017967 View Revisions
2017-07-02 20:35 Kaminsky Note Edited: 0017967 View Revisions
2017-07-02 20:35 Kaminsky Note Edited: 0017967 View Revisions
2017-07-02 20:59 Ru5tK1ng Note Added: 0017968
2017-07-02 21:06 Torr Samaho Note Added: 0017969
2017-07-02 21:29 Kaminsky Note Deleted: 0017967
2017-07-02 22:01 Ru5tK1ng File Added: pthink_spam.cld
2017-07-02 22:02 Ru5tK1ng Note Added: 0017970
2017-07-08 11:41 Torr Samaho Note Added: 0017987
2017-07-08 11:41 Torr Samaho Target Version => 3.0
2017-07-09 16:08 Ru5tK1ng Note Added: 0017991
2017-07-09 23:52 Ru5tK1ng Note Added: 0017999
2017-07-09 23:52 Ru5tK1ng Status needs testing => resolved
2017-07-09 23:52 Ru5tK1ng Resolution open => fixed
2017-07-09 23:52 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker